Stand up a working Teammate in one call: persona, grants, routines
POST
/api/v1/teammates/provisionRequires an Organization API key with the edit capability. Supply an Idempotency-Key when retrying the same request.
Authorization
apiKey AuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key?string
Reuse the same value only when retrying the same logical operation.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/teammates/provision" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "teammate": { "id": "string", "organizationId": "string", "name": "string", "title": "string", "roleDescription": "string", "avatarSeed": "string", "ownerId": "string", "editorIds": [ "string" ], "visibility": "org", "collectionIds": [ "string" ], "sourceIds": [ "string" ], "modelProvider": "anthropic", "modelId": "string", "allowedModels": [ { "provider": "anthropic", "modelId": "string" } ], "systemKind": null, "assistantId": null, "capabilityCeiling": "edit", "approvalBypass": true, "projectId": null, "deletedAt": null, "createdAt": "string", "updatedAt": "string" }, "governance": null, "routines": [ { "id": "string", "organizationId": "string", "teammateId": "string", "instruction": "string", "cadence": "daily", "hour": 0, "enabled": true, "createdBy": null, "lastRunAt": null, "lastStatus": null, "lastDetail": "string", "createdAt": "string", "updatedAt": "string" } ], "partial": null, "reason": null}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}